<?php
require('lib/lib.php');
$url="http://".$_SERVER['HTTP_HOST'].":".$_SERVER['SERVER_PORT'].$_SERVER['REQUEST_URI'];
if(extension($url) == 'php'){
	echo "<script language='JavaScript'>location.href = 'index.php'</script>";
	die();
}
?>
<script>
$(document).ready(function(){

	var inputCorreo = $("#edtCorreo");
	var reqCorreo = $("#req-Correo");
	
	function validarCorreo(){
		$("#message").html("");
		if(inputCorreo.val() == ''){
			inputCorreo.addClass("error2");
			reqCorreo.addClass("error2");
			$("#req-Correo").html('Escriba el Correo Electrónico.');
			$("#req-CorreoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		}
		else if(!inputCorreo.val().match(/^([\w-\.]+)@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.)|(([\w-]+\.)+))([a-zA-Z]{2,4}|[0-9]{1,3})(\]?)$/i)){
			inputCorreo.addClass("error2");
			reqCorreo.addClass("error2");
			$("#req-Correo").html('Escriba un Correo Electrónico válido.');
			$("#req-CorreoImg").html("<img src='images/asterisco.png' width='14' height='14' title='Campo Requerido!'>");
			return false;
		} else {
			inputCorreo.removeClass("error2");
			reqCorreo.removeClass("error2");
			$('#req-Correo').html("");
			$("#req-CorreoImg").html("<img src='images/bien.png' width='14' height='14' title='Campo Completado!'>");
			return true;
		}
	}
	inputCorreo.blur(validarCorreo);
	
	$('#FormRecover').submit(function(){
		if(validarCorreo()){
			RecuperarCorreo();
		} else
			return false;
		return false;
	});
	
	function RecuperarCorreo(){
		$.ajax({
			type: "POST",
			complete: function(objeto ,response){
				if(response == 'success'){
					$("#edtCorreo").val("");
					$("#req-CorreoImg").html("");
				}
			},
			data: "Correo="+$('#edtCorreo').val()+"",
			url: "ProcesarRecover.php",
			success: function(response){
				if(response == 'envioCorreo'){
					$.growlUI('Correo Enviado', 'Satisfactoriamente!');
					$("#message").html("<p class='success'>Los datos se han enviado correctamente a su cuenta de Correo Electrónico!</p>");
				}else
					$('#message').html(response);
			}
		});
	}
});
</script>
<table width="1021" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td align="right">
    <div id="dialog" class="dialog" title="Información de Recuperacíon de Cuenta">
        <p>Se muestra el campo para recuperar la Contraseña.
        <br></br>Solo los Clientes podrán recuperar su Contraseña.
        <br></br>Si desea recuperar su Contraseña: 
        <br></br>* Correo Electrónico: Escriba el Correo Electrónico válido y que esta registrado en el sistema.
        <br></br>* Oprima el botón 'Enviar'.
        <br></br>* Si existe alguna advertencia, corrija.
        <br></br>* Se enviará la información a su Correo Electrónico con la Contraseña para que pueda acceder a la página.</p>
    </div>
    <b>Ayuda</b><img src="images/Help.png" name="opener" width="25" height="25" id="opener"/></td>
  </tr>
  <tr>
    <td>
    <form id="FormRecover" name="FormRecover" action= "" method="post">
    <table width="500" border="0" cellspacing="0" cellpadding="0" align="center">
      <tr>
        <td colspan="3" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" id="Titulo" scope="col">Recuperación de la Cuenta.</td>
      </tr>
      <tr>
        <td width="139" scope="col">&nbsp;</td>
        <td width="225" scope="col">&nbsp;</td>
        <td width="136" scope="col">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" scope="col" align="center">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><b class="error"><img src="images/Informacion.png" width="15" height="15"> Escriba su dirección de Correo Electrónico.</b></td>
        </tr>
      <tr>
        <td colspan="3" align="center" scope="row">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><input class="txt" name="edtCorreo" type="text" id="edtCorreo" size="35" maxlength="40"><span id="req-CorreoImg" class="requisites error"></span></td>
        </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><b><span id="req-Correo" class="requisites error"></span></b></td>
        </tr>
      <tr>
        <td colspan="3" align="center" scope="row">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><input  class="submit" type="submit" id="submit" value="Enviar" height="20" width="110" title="Enviar Confirmacion"></td>
        </tr>
      <tr>
        <td colspan="3" align="center" scope="row">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><b><div id="message"></div></b></td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row"><a  href='javascript: MenuLogin()'><b>Regresar a Inicio de Sesión?</b></a></td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row">&nbsp;</td>
      </tr>
      <tr>
        <td colspan="3" scope="row" align="center"></td>
      </tr>
      <tr>
        <td colspan="3" align="center" scope="row">&nbsp;</td>
      </tr>
      </table>
    </form>
    </td>
  </tr>
  <tr>
    <td align="center"><b class="error">Para cualquier duda, revise nuestra sección de Ayuda. <img src="images/Arrow.png" width="40" height="40" /></b></td>
  </tr>
</table>